@CHARSET "UTF-8";

td.classoverview{
 margin:0;
 padding:0;
 vertical-align:top;
}

table.classoverview{
 margin:0;
 padding:0;
 vertical-align:top;
}



.classoverview-container{
 width:100%;
 height:100%;
}

#classoverview-mainpanel{
 box-shadow:0 0 2px 2px;
 background-color:#EEEEEE;
 padding:5px;
}

#classoverview-fullscreen{
	position:absolute;
	top:15px;
	left:20px;
	width:16px;
	height:16px;
	cursor:pointer;
	background:url('arrow-out-icon.png') no-repeat center;
}

#classoverview-help{
	position:absolute;
	top:15px;
	right:30px;
	width:16px;
	height:16px;
	cursor:pointer;
	background:url('Button-help-icon.png') no-repeat center;
}


#classoverview-ajax-loader{
	display:block;
	position:absolute;
	width:100%;
	height:100%;
	z-index:99;
	background:#111111 url('ajax-loader.gif') no-repeat center !important;
}

#classoverview-chart{
 display:inline-block;
 width:100%;
 height:100%;
 box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.7) inset;
 padding:2px;
 background-color:#ffffff;
}

#classoverview-sidebar{
 width:100%;
 height:100%;
 display:inline-block;
 padding:5px;
 margin-left:10px;
}


.link {
  
}

.node {
  cursor: move;
  fill: #ccc;
  stroke: #000;
}

circle{
	stroke-width: 1.5px;
}

.node.fixed {
  fill: #f00;
}

.ressource{
	stroke: #f00;
	stroke-width: 0px;
}

.show{
	  stroke-width: 1.5px !important;

}

.node-parent{
	fill : #3F3FC3 !important;
}

.node-child{
	fill : #A7A7FF !important;
}

.node-consumer{
	fill:#FF7777 !important;
}

.node-provider{
	fill:#FF4545 !important;
}

.node-main{
	fill:#5A5AFF !important;
}

text{
	cursor:pointer;
}

.parent{
	stroke: #000;
	  stroke-width: 1.5px;
	
}